Create column
curl --request POST \
--url https://inboxapp.com/api/v1/lists/{listId}/columns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "Company",
"description": "The lead's company name"
}
EOFimport requests
url = "https://inboxapp.com/api/v1/lists/{listId}/columns"
payload = {
"name": "Company",
"description": "The lead's company name"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Company', description: 'The lead\'s company name'})
};
fetch('https://inboxapp.com/api/v1/lists/{listId}/columns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"type": "text",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>"
}List columns
Create column
Create a new custom column on a list
POST
/
lists
/
{listId}
/
columns
Create column
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the list to add the column to.
Pattern:
^[0-9a-z]+$Body
application/json
Response
200 - application/json
OK
Unique identifier for the column.
Display name of the column.
The data type of the column.
When the column was created.
When the column was last updated.
Optional description of what this column contains.
Was this page helpful?